<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use DomainException;

use function sprintf;

use Throwable;

final class LogoTraitementImpossibleException extends DomainException
{
    public static function pourErreur(Throwable $previous): self
    {
        return new self(
            sprintf('Impossible de traiter l\'image du logo : %s', $previous->getMessage()),
            previous: $previous,
        );
    }
}
